Activity log for bug #1889729

Date Who What changed Old value New value Message
2020-07-31 06:46:05 Yoshi Kadokawa bug added bug
2020-08-04 21:06:32 Dan Watkins simplestreams: status New Triaged
2020-08-04 21:06:34 Dan Watkins simplestreams: importance Undecided Wishlist
2020-08-05 00:14:06 Nobuto Murata bug task added charm-glance-simplestreams-sync
2020-08-05 00:21:40 Nobuto Murata bug added subscriber Nobuto Murata
2020-08-05 08:13:42 Yoshi Kadokawa simplestreams: assignee Yoshi Kadokawa (yoshikadokawa)
2020-08-05 08:13:45 Yoshi Kadokawa charm-glance-simplestreams-sync: assignee Yoshi Kadokawa (yoshikadokawa)
2020-08-07 14:48:13 Alex Kavanagh charm-glance-simplestreams-sync: importance Undecided Wishlist
2020-08-07 14:48:13 Alex Kavanagh charm-glance-simplestreams-sync: status New Triaged
2020-10-05 11:57:00 Launchpad Janitor merge proposal linked https://code.launchpad.net/~yoshikadokawa/simplestreams/+git/simplestreams/+merge/391810
2021-09-15 11:48:11 Launchpad Janitor merge proposal linked https://code.launchpad.net/~yoshikadokawa/simplestreams/+git/simplestreams/+merge/408631
2021-09-15 11:48:50 Yoshi Kadokawa simplestreams: status Triaged In Progress
2021-09-16 10:47:43 OpenStack Infra charm-glance-simplestreams-sync: status Triaged In Progress
2022-06-01 04:36:20 James Page charm-glance-simplestreams-sync: status In Progress Won't Fix
2022-06-01 04:36:31 James Page simplestreams: status In Progress Invalid
2022-06-01 05:37:50 James Page charm-glance-simplestreams-sync: status Won't Fix New
2022-06-01 05:37:53 James Page simplestreams: status Invalid New
2022-06-01 06:12:13 Yoshi Kadokawa description When Ceph RBD backend is enabled for Glance and Nova, there will be a noticeable difference in time and resource consumption when launching instances from Glance images in RAW and non-RAW formats. At the moment the official ubuntu cloud images are available in QCOW2 format, so a conversion to raw is necessary in prior to uploading the images. Therefore, I think an option to convert the QCOW2 to Raw is beneficial to have in order to leverage the copy-on-write feature in Ceph. When Ceph RBD backend is enabled for Glance and Nova, there will be a noticeable difference in time and resource consumption when launching instances from Glance images in RAW and non-RAW formats. Therefore, I think an option to convert the QCOW2 to Raw is beneficial to have in order to leverage the copy-on-write feature in Ceph. At the moment the official ubuntu cloud images are available in QCOW2 format only, so a conversion to raw is necessary in prior to uploading the images. Glance charm has now a feature to convert images to RAW[0], however, in order to leverage this feature an additional import step is required[1]. [0] https://charmhub.io/glance/configure#image-conversion [1] https://wiki.openstack.org/wiki/Glance-new-upload-workflow
2022-06-02 00:33:40 Yoshi Kadokawa simplestreams: status New In Progress
2022-06-09 01:32:48 Yoshi Kadokawa charm-glance-simplestreams-sync: status New In Progress
2022-06-20 12:32:07 Server Team CI bot simplestreams: status In Progress Fix Committed
2023-09-01 14:53:37 OpenStack Infra charm-glance-simplestreams-sync: status In Progress Fix Committed
2023-09-26 20:19:35 Vern Hart bug added subscriber Vern Hart